[openssh-commits] [openssh] 02/02: Skip 64bit expiry time test on 32bit time_t.
git+noreply at mindrot.org
git+noreply at mindrot.org
Fri Dec 6 01:46:34 AEDT 2024
This is an automated email from the git hooks/post-receive script.
dtucker pushed a commit to branch master
in repository openssh.
commit 6b4611dc1232c5d2c8e43201f580f19aab320c87
Author: Darren Tucker <dtucker at dtucker.net>
AuthorDate: Fri Dec 6 01:45:52 2024 +1100
Skip 64bit expiry time test on 32bit time_t.
---
regress/key-options.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/regress/key-options.sh b/regress/key-options.sh
index df28ce88..c98dafc3 100644
--- a/regress/key-options.sh
+++ b/regress/key-options.sh
@@ -121,4 +121,6 @@ check_valid_before "default" "" "pass"
check_valid_before "invalid" 'expiry-time="INVALID"' "fail"
check_valid_before "expired" 'expiry-time="19990101"' "fail"
check_valid_before "valid" 'expiry-time="20380101"' "pass"
+if ! config_defined "SIZEOF_TIME_T 4"; then
check_valid_before "valid-64b" 'expiry-time="25250101"' "pass"
+fi
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list